<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="公司Id" prop="companyId" v-model="form.companyId" placeholder="请输入公司Id"/>
                            <Field label="公司名称" prop="companyName" v-model="form.companyName" placeholder="请输入公司名称"/>
                            <Field label="知识产权类型" prop="intellectPropertyType" v-model="form.intellectPropertyType" placeholder="请输入知识产权类型"/>
                            <Field label="知识产权数量" prop="intellectPropertyNum" v-model="form.intellectPropertyNum" placeholder="请输入知识产权数量"/>
                            <Field label="备注" prop="remark" v-model="form.remark" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "CompanyPatentDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("company/patent")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "公司专利",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="company/patent/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改公司专利";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "company/patent/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增公司专利";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="company/patent/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "公司专利详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    companyId : null,
                    companyName : "",
                    intellectPropertyType : "",
                    intellectPropertyNum : null,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
